Welcome

Welcome to ISTool help. This help is not complete, but hopefully it will be some day. For now I've only added topics for the most important features in ISTool, and the features that get most of the questions.

What is ISTool, and why was it created?

Jordan Russell has created a fantastic setup compiler that creates setups that can match most of the commercial installers on the market. This program is called Inno Setup, and is freeware for both commercial and private developers. If there is a disadvantage to Inno Setup, it would be that you will have to manually create the setup scripts. The format is fairly simple, but personally I have problems remembering all the options and parameters, and the meaning of them all. So that is why I decided to create ISTool, which displays all this information visually, and has context sensitive help for all parameters and options.

ISTool is not a complete package for creating installations. It is merely an addition to Inno Setup, and requires that Inno Setup is installed to function properly.

Copyright © 1999 - 2004 Bjørnar Henden (Sunday, April 04, 2004)


Frequently Asked Questions

When will ISTool support Inno Setup version x?

If the version of ISTool don't match the version of Inno Setup this doesn't mean that ISTool won't work with that version of Inno Setup. ISTool is designed to support any future version of Inno Setup, so if a particular version of Inno Setup has a feature that ISTool doesn't support directly you can still use that feature. Just add it to the script manually.

Sometimes Inno Setup is released without adding anything new that ISTool needs to support. It could be a bug fix, or some feature that has changed. In these cases I will not release a new version of ISTool.


Tasks

  • Editing multiple items
  • Customize visible columns
  • Translate ISTool


Editing multiple items

I get a lot of mail from people suggesting that ISTool should allow multiple files to be edited at once. This feature has actually been in ISTool since the very first version. To allow editing of several files at once, switch from treeview to listview by marking the Files As List menu item on the View menu, as shown in the picture. Then you can select as many files as you like by holding the ctrl or shift keys while selecting.

All listview sections in ISTool allow editing of multiple items at the same time, not just the file section.

See Also


Customize visible columns

Menu item for customize

All columns in the listviews can be customized. The columns can be rearranged by clicking the column header and dragging it where you want. You can also customize what columns should be visible. Open the customization dialog by selecting Customize from the View menu.

Dialog for customize This will bring up this window. Check the columns you want displayed.

See Also


Translate ISTool

Translate

Method 1

  1. Copy one of the existing language files (*.lng).
  2. Translate it in any text editor.

Method 2

  1. Download TransTool.
  2. Copy the ISTool.idx to the ISTool directory if it is newer than your ISTool installation.
  3. Start TransTool.

See Also


Credits

Main icon and some toolbar images by Marc Keeley at http://www.glyfz.com/.

Iwz2iss plugin by Michal Kulczycki.

Translations by:

  • Michael Reitz (German)
  • Jean-Michel Coinus (French)
  • Michal Kulczycki (Polish)
  • Fábián László (Hungarian)
  • Jose Antonio Muñoz (Spanish)

Text editor component by Andrei Stcherbatchenko.

Jordan Russell for Inno Setup.

Martijn Laan for My Inno Setup Extensions.


Links

Inno Setup

A great freeware installer for Win32 platforms.

My Inno Setup Extensions Knowledge Base

Helps programmers make installer packages using My Inno Setup Extensions.

Inno Setup Preprocessor

Inno Setup Preprocessor (ISPP) is an add-on for Inno Setup (IS) by Jordan Russell and My Inno Setup Extensions (ISX) by Martijn Laan. ISPP allows to conditionaly compile parts of scripts, use compile time variables in script, use built-in functions for reading registry, INI files at compile time.

Iwz2iss

iwz2iss converts InstallShield's IWZ project files into InnoSetup's ISS files.


Contact

You can contact me by sending a mail to istool@istool.org.


Command Line

Command Line Arguments

Usage: istool.exe [options] ScriptName

where options can be any of the following:

-compile

Instructs ISTool to compile the script and exit. Useful if you want to use a script to compile your script. This argument must be specified before the script file name.

-langedit

Used for helping translating menus and dialogs. Only useful for internal use.


Donate

ISTool is freeware, and always will be freeware, but there are still costs involved. I have to pay for web space, and development tools costs money. So donations are very much appreciated. To donate click the button below.

Make payments with PayPal - it's fast, free and secure!


Preferences

  • General Preferences
  • Editor Preferences

See Also


General Preferences

See Also


Editor Preferences

See Also


Languages

This tab displays a list of languages you have defined in your script. If you select one or more languages here, the item will only be installed if one of your selected languages is chosen during installation.

If you don't select any languages the entry is always installed, unless other parameters say it shouldn't.

See Also


My Inno Setup Extensions merged with Inno Setup 4

My Inno Setup Extensions

June 2003 - note: All features of My Inno Setup Extensions have been merged into the 'official' Inno Setup 4 and it is now recommended to download and use Inno Setup 4 instead of My Inno Setup Extensions. Development on My Inno Setup Extensions features will be continued as part of Inno Setup 4 development.

See Also